View Issue Details

IDProjectCategoryLast Update
0020812AI War 2[All Projects] Bug - OtherJun 6, 2019 9:34 am
Reporterwm46Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.807 Cyber Command 
Fixed in Version 
Summary0020812: Selecting unit remains has some issues
DescriptionRemains of mines are a bit weird. You can select them by clicking on them or double clicking to select all mines, but once selected they can't be unselected by selecting another unit. Also, pressing Z while remains are selected will show their attack range, even though that shouldn't really matter when dead.

The only way to unselect them once selected (if you don't just rebuild them) is to alt + click on them.
TagsNo tags attached.

Activities

wm46

Nov 30, 2018 10:03 pm

reporter   ~0050569

I should have taken the extra 2 seconds to test this, but these bugs apply to all remains.

wm46

Nov 30, 2018 10:07 pm

reporter   ~0050570

And then I should have also taken the extra 5 seconds to wait for them to rebuild; they do not deselect when they are rebuilt, and are still in the state of "selected but not really", and need to be alt + clicked.

x4000Bughunter

Jun 4, 2019 10:38 am

administrator   ~0051814

Is this still a thing? If so, a savegame would be helpful for me to knock it out quickly. Thanks!

wm46

Jun 6, 2019 2:39 am

reporter   ~0051852

Seems to have been fixed somewhere down the line.

x4000Bughunter

Jun 6, 2019 9:34 am

administrator   ~0051865

Awesome, thanks for the confirmation! I completely recoded the selection logic at one point, so that would kind of make sense.

Issue History

Date Modified Username Field Change
Nov 30, 2018 10:03 pm wm46 New Issue
Nov 30, 2018 10:03 pm wm46 Note Added: 0050569
Nov 30, 2018 10:07 pm wm46 Note Added: 0050570
Dec 3, 2018 10:28 am Dune Assigned To => x4000Bughunter
Dec 3, 2018 10:28 am Dune Status new => assigned
Dec 4, 2018 1:51 pm BadgerBadger Summary Mine remains function oddly => Selecting unit remains has some issues
Dec 4, 2018 1:51 pm BadgerBadger Internal Weight => New
Jun 4, 2019 10:38 am x4000Bughunter Status assigned => feedback
Jun 4, 2019 10:38 am x4000Bughunter Note Added: 0051814
Jun 6, 2019 2:39 am wm46 Note Added: 0051852
Jun 6, 2019 2:39 am wm46 Status feedback => assigned
Jun 6, 2019 9:34 am x4000Bughunter Status assigned => resolved
Jun 6, 2019 9:34 am x4000Bughunter Resolution open => fixed
Jun 6, 2019 9:34 am x4000Bughunter Note Added: 0051865